Blocks contain an array of Transactions that occurred at a particular BlockIdentifier. A hard requirement for blocks returned by Rosetta implementations is that they MUST be inalterable: once a client has requested and received a block identified by a specific BlockIndentifier, all future calls for that same BlockIdentifier must return the same block contents.

export
interface

  RosettaBlock

### Hierarchy

- RosettaBlock

## Index

### Properties

- block_identifier
- metadata
- parent_block_identifier
- timestamp
- transactions

## Properties

### block_identifier

block_identifier: object

- Defined in src/generated/models/RosettaBlock.ts:42

The block_identifier uniquely identifies a block in a particular network.

memberof

  RosettaBlock

### Optional metadata

metadata: RosettaBlockMetadata1

- Defined in src/generated/models/RosettaBlock.ts:66

memberof

  RosettaBlock

### parent_block_identifier

parent_block_identifier: RosettaParentBlockIdentifier

- Defined in src/generated/models/RosettaBlock.ts:48

memberof

  RosettaBlock

### timestamp

timestamp: number

- Defined in src/generated/models/RosettaBlock.ts:54

The timestamp of the block in milliseconds since the Unix Epoch. The timestamp is stored in milliseconds because some blockchains produce blocks more often than once a second.

memberof

  RosettaBlock

### transactions

transactions: RosettaTransaction []

- Defined in src/generated/models/RosettaBlock.ts:60

All the transactions in the block

memberof

  RosettaBlock

Generated using TypeDoc